%define name ossp
%define version 1.3.2
%define rel 3
%define release %mkrel %rel

Summary: OSS (Open Sound System) Proxy Daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch0001: 0001-Add-a-very-simple-systemd-unit.patch
Patch0002: 0002-udev-Rename-udev-rules-and-add-uaccess-udev-acl-tags.patch
License: GPLv2
Group: Sound
Url: http://sourceforge.net/projects/osspd/

BuildRequires: fuse-devel
BuildRequires: pulseaudio-devel
BuildRequires: libalsa-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Suggests: pulseaudio

%description
OSS Proxy Daemon is Linux userland OSS sound device (/dev/[a]dsp
and /dev/mixer) implementation using CUSE. Currently it supports
forwarding OSS sound streams to PulseAudio and ALSA.


%prep
%setup -q
%apply_patches

sed -i 's,/usr/local,%{_prefix},' Makefile
sed -i 's,/etc/udev/rules.d,/lib/udev/rules.d,' Makefile

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
echo "cuse" >%{buildroot}%{_sysconfdir}/modprobe.preload.d/%{name}.conf

%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%doc README
%{_sbindir}/ossp*
/lib/udev/rules.d/70-osscuse.rules
%{_sysconfdir}/modprobe.preload.d/%{name}.conf
/lib/systemd/system/osspd.service
/lib/systemd/system/sound.target.wants/osspd.service


%changelog

* Sat Apr 28 2012 tmb <tmb> 1.3.2-3.mga2
+ Revision: 233832
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Jan 26 2012 colin <colin> 1.3.2-2.mga2
+ Revision: 201638
- Fix ACL permissions on created nodes.

* Sat Oct 08 2011 colin <colin> 1.3.2-1.mga2
+ Revision: 153066
- Fix BuildRequire's
- Fix rel
- imported package ossp

